Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040042
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] StoreServermajorhave not tried2019-01-25 13:522019-02-14 17:55
ReporterguillermogilView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040042: GiftCardEventHandler needs to take the bp-owner field and also the org of the order/fin-payment into account

DescriptionGiftCardEventHandler needs to take the bp-owner field and also the org of the order/fin-payment into account
Currently it is taking into account the Business Partner but it should take into Account the owner.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109317)
hgbot (developer)
2019-01-30 09:00

Repository: erp/pmods/org.openbravo.retail.giftcards.synchronization
Changeset: 89c2a6377a68ef25b7b6a1d1dd69a6746b5bd0d4
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jan 30 09:00:00 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.synchronization/rev/89c2a6377a68ef25b7b6a1d1dd69a6746b5bd0d4 [^]

Related to issue 40042: GiftCardEventHandler needs to take the bp-owner field and also the org of the order/fin-payment into account
Also consider owner and related order and payment to select right stores for syncing the BP

---
M src/org/openbravo/retail/giftcards/synchronization/eventhandler/GiftCardInstanceEventHandler.java
---
(0109327)
mtaal (manager)
2019-01-30 12:53

Note: I couldn't find a flow in which the bp and owner of a bp are different. So I think there are only 2 functional cases:
- bp set, owner is null
- bp and owner are the same

In any case the code caters for also the case bp<>owner
(0109842)
AugustoMauch (developer)
2019-02-14 17:55

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-01-25 13:52 guillermogil New Issue
2019-01-25 13:52 guillermogil Assigned To => Retail
2019-01-25 13:52 guillermogil Triggers an Emergency Pack => No
2019-01-25 14:28 mtaal Assigned To Retail => mtaal
2019-01-30 09:00 hgbot Checkin
2019-01-30 09:00 hgbot Note Added: 0109317
2019-01-30 12:52 mtaal Status new => scheduled
2019-01-30 12:53 mtaal Note Added: 0109327
2019-01-30 12:53 mtaal Status scheduled => resolved
2019-01-30 12:53 mtaal Resolution open => fixed
2019-01-30 12:53 mtaal Review Assigned To => AugustoMauch
2019-02-14 17:55 AugustoMauch Note Added: 0109842
2019-02-14 17:55 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker